$(document).ready(function(){
	// ion tabs
	$.ionTabs("#tabs_1");

	// ion checkradio init
	$("input[type='radio'], input[type='checkbox']").ionCheckRadio();

	// filter open li
	var filter_list = $('.filter_list ul li .arrow');

	filter_list.on('click', function(){
		$(this).next().slideToggle(300);
		var this_img = $(this).children('img');
		if (this_img.attr('src') === "/images/head_down.png" ) {
			this_img.attr('src', '/images/head_up.png');
		} else {
			this_img.attr('src', '/images/head_down.png');
		};
	});

	$('.form_checkbox_reset').click(function(e){
		e.preventDefault();
		$('.price_filter input[type="checkbox"]').prop('checked', false);
		$('.price_filter label').removeClass('checked');
	});


	// CHANGE ACTIVE CLASS
	function change_right(){
		var main_div = $('.main_img_slide'),

			arrow_right = $('.slider_arrow_right'),
			arrow_left = $('.slider_arrow_left'),
			main_img = $('.main_img img');


		arrow_right.on('click', function(){
			var next = $('.small_img_block.active').next();
			var next_attr = next.children().attr('src');
			if (next.hasClass('small_img_block')) {
				main_div.find('.active').removeClass('active');
				next.addClass('active');
				main_img.attr('src', next_attr);
			};

		});
	}

	// CHANGE ACTIVE CLASS
	function change_left(){
		var main_div = $('.main_img_slide'),

			arrow_right = $('.slider_arrow_right'),
			arrow_left = $('.slider_arrow_left'),
			main_img = $('.main_img img');


		arrow_left.on('click', function(){
			var prev = $('.small_img_block.active').prev();
			var prev_attr = prev.children().attr('src');
			if (prev.hasClass('small_img_block')) {
				main_div.find('.active').removeClass('active');
				prev.addClass('active');
				main_img.attr('src', prev_attr);
			};

		});
	};
	var arrow_right = $('.slider_arrow_right'),
		arrow_left = $('.slider_arrow_left');
	// change active class init
	arrow_right.on('click', change_right());
	arrow_left.on('click', change_left());

	// arrow left hover
	arrow_left.hover(
		function(){
			$(this).attr('src', '/images/slider_left_hover.png');
		}, function(){
			$(this).attr('src', '/images/slider_left.png');
		});

	// arrow right hover
	arrow_right.hover(
		function(){
			$(this).attr('src', '/images/slider_right_hover.png');
		}, function(){
			$(this).attr('src', '/images/slider_right.png');
		});

	// добавить в корзину - счетчик  + - товар
	var open_card_item_price = $('.counter').children('.price'),
		counter_item_count = $('.counter').find('.count_number'),
		state_price = 1*($('.counter').children('.price').html());



	// активный класс для корзины
	var basket_order_list = $('.order_list').find('.order_list_li');
	/*basket_order_list.click(function(){
	 basket_order_list.removeClass('active');
	 $(this).addClass('active');
	 // console.log('hello');
	 });*/

	// оформить заказ сумма всех товаров в корзине
	var basket_all_items = $('.all_price').find('.all_count'), // количество товаров в корзине
		basket_all_price = $('.all_price').find('.all_price'), // общая сумма за все товары
		basket_each_price = basket_order_list.children('.price'), // цена товара(ов)
		basket_each_count = basket_order_list.children('.how_many'); // количество каждого товара
	// console.log(basket_each_price);

	//function basket_all_prices() {
	//	var all_count = 0;
	//	var all_price = 0;
	//	for (var i = basket_each_count.length - 1; i >= 0; i--) {
	//		var temp = basket_each_count[i].innerHTML;
	//		var temp_price = basket_each_price[i].innerHTML;
	//		all_count += parseInt(temp);
	//		all_price += parseFloat(temp_price);
	//	};
	//	basket_all_items.text(all_count);
	//	basket_all_price.text(all_price.toFixed(2));
	//}
	//basket_all_prices();


	// modal widows
	function modal_windows() {
		$(".modal_wrapper_login").append("<div class='close_modal'></div>");
		$(".modal_wrapper_reg").append("<div class='close_modal'></div>");
		$(".forgot_pass_modal_wrapper").append("<div class='close_modal'></div>");

		var reg_wrap = $('.modal_wrapper_reg'), // окно регистрации
			log_wrap = $('.modal_wrapper_login'), // окно логина
			forgot_pass_wrap = $('.forgot_pass_modal_wrapper'), // окно забыли пароль
			forgot_pass_success_wrap = $('.forgot_pass_success_wrapper'), // окошко успешно отправлен пароль
			forgot_pass_success_open_btn = $('.forgot_pass_modal_wrapper').find('.my_cust_btn');
		forget_pass_again_btn = $('.forgot_pass_success_wrapper').find('.my_cust_btn'),
			log_open_btn = $('.login_button_lu'), // окно логина
			reg_open_btn = $('.reg_button_lu'), // кнопка открыть
			consultation_open_btn = $('.consultation_btn'), // кнопка консультации
			consultation_btn = $('.consultation_modal button'),
			consultation_modal = $('.consultation_modal'),
			modal_busket_open = $('.basket_add_but, .cart_btn'), // открыть модалку корзины
			modal_busket_header_open = $('i.head-down.bh_cell'), // открыть корзину в хедере
			modal_busket_header = $('.busket_modal_header'), // модальная корзина хедер
			modal_busket_header_cont = $('.busket_modal_header .busket_bottom_btn .close'),
			modal_busket_cont = $('.busket_bottom_btn .close'), // ссылка модалки корзины - продолжить покупки
			forgot_pass_open_btn = $('.forgot_pass_link'), // ссылка на окно - забыли пароль
			close_btn = $('.modal_close_btn'), // кнопка закрыть регистрацию
			doc_h = $(document).height(),
			callback_wrap = $('.callback_wrapper'),
			callback_open_btn = $('.phone_me_head button'),
			busket_modal_wrapper = $('.busket_modal_wrapper'),
			main_wrap = $('.modal_wrapper');
		reg_wrap_btn = $('.modal_wrapper_reg').find('button');


		reg_wrap.css({'height': doc_h}); // высота заднего фона = высоте документа
		log_wrap.css({'height': doc_h}); // высота заднего фона = высоте документа
		forgot_pass_wrap.css({'height': doc_h}); // высота заднего фона = высоте документа
		forgot_pass_success_wrap.css({'height': doc_h}); // высота заднего фона = высоте документа
		callback_wrap.css({'height': doc_h}); // высота заднего фона = высоте документа
		busket_modal_wrapper.css({'height' : doc_h}); // высота заднего фона = высоте документа



		$('body').keydown(function(event){
			if (event.which == 27) {
				$(this).parent().find("input").val('');
				reg_wrap.fadeOut(200);
				log_wrap.fadeOut(200);
				forgot_pass_wrap.fadeOut(200);
				forgot_pass_success_wrap.fadeOut(200);
				callback_wrap.fadeOut(200);
			};
		});

		callback_open_btn.click(function(){ // открываем окно регистрации
			$(".error").removeClass("error");
			$(".error_pass").removeClass("error_pass");
			if($(".phone_me_head").find("input").val().length == 0){
				$(".phone_me_head").find("input").addClass("error");
			}
			else{
				var num = $(".phone_me_head").find("input").val();

				var type = 'call_me';
				var data = {"num":num,"type":type};
				send_call_me_back( data, function(data){
					callback_wrap.fadeIn(200);
					$(".phone_me_head").find("input").val('');
				});

			}
		});


		consultation_btn.click(function(){ // открываем окно регистрации
			$(".error").removeClass("error");
			$(".error_pass").removeClass("error_pass");
			if($(".consultation_phone").val().length == 0){
				$(".consultation_phone").addClass("error");
			}
			else{
				var num = $(".consultation_phone").val();
				var name = $(".consultation_name").val();
				var type = 'consultation';
				var data = {"num":num,"name":name,"type":type};
				send_call_me_back( data, function(data){
					consultation_modal.fadeIn(200);
					$(".consultation_phone").find("input").val('');
					$(".consultation_name").find("input").val('');
				});

			}
		});


		consultation_open_btn.click(function(event){
			event.preventDefault();
			consultation_modal.toggle();

		});
		modal_busket_header_cont.click(function(){ // скрываем модальную корзину в хедере по ссылке
			modal_busket_header.toggle();
			modal_busket_header_open.toggleClass('bh_cell_2'); // меняем класс у кнопочки вызова корзины хедера
			modal_busket_header_open.parent('.basket_head').toggleClass('basket_head_for_click'); // убираем тень
		});
		modal_busket_cont.click(function(e){ // скрываем корзину для продолжения покупок
			e.preventDefault();
			busket_modal_wrapper.fadeOut(200);
		});
		reg_open_btn.click(function(e){ // открываем окно регистрации
			$(".error").removeClass("error");
			$(".error_pass").removeClass("error_pass");
			e.preventDefault();
			reg_wrap.fadeIn(200);
		});
		log_open_btn.click(function(e){ // открываем окно логина
			$(".error").removeClass("error");
			$(".error_pass").removeClass("error_pass");
			e.preventDefault();
			log_wrap.fadeIn(200);
		});
		modal_busket_open.click(function () { // открываем модальную корзину по клику купить на карточку товара
			busket_modal_wrapper.fadeIn(200);
		});
		modal_busket_header_open.click(function() {
			modal_busket_header.toggle(100);
			$(this).toggleClass('bh_cell_2');
			$(this).parent('.basket_head').toggleClass('basket_head_for_click');
			//console.log($(this).css('background'));
		});
		forgot_pass_open_btn.click(function(e){ // открываем окно забыли пароль
			$(".error").removeClass("error");
			$(".error_pass").removeClass("error_pass");
			e.preventDefault();
			forgot_pass_wrap.fadeIn(50);
			log_wrap.fadeOut(50);
		});
		forgot_pass_success_open_btn.click(function(){ // сообщение об успешной отправке пароля на почту
			$(".error").removeClass("error");
			if($(".forgot_pass_modal_wrapper").find("input").val().length == 0){ //проверка ввода поля
				$(".forgot_pass_modal_wrapper").find("input").addClass("error");
			}
			else{

				var email = $(".forgot_pass_modal_wrapper").find("input").val();

				function isValidEmailAddress(emailAddress) {
					var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
					return pattern.test(emailAddress);
				}
				if(isValidEmailAddress(email))
				{
					$(".forgot_pass_modal_wrapper").find("input").removeClass("error");
					forgot_pass_success_wrap.fadeIn(200);
					forgot_pass_wrap.fadeOut(200);
				} else {
					$(".forgot_pass_modal_wrapper").find("input").addClass("error");
				}


				/*// if ($('#forgot_pass_form')[0].checkValidity()) {
				 forgot_pass_success_wrap.fadeIn(200);
				 forgot_pass_wrap.fadeOut(200);
				 // };	*/
			}
		});
		forget_pass_again_btn.click(function(){  // еще раз отправить пароль
			forgot_pass_wrap.fadeIn(50);
			forgot_pass_success_wrap.fadeOut(50);
		});
		close_btn.click(function(){   // закрываем любые
			$(this).parent().find("input").val('');
			$(".error").removeClass("error");
			reg_wrap.fadeOut(200);
			log_wrap.fadeOut(200);
			forgot_pass_wrap.fadeOut(200);
			forgot_pass_success_wrap.fadeOut(200);
			forgot_pass_success_wrap.fadeOut(200);
			busket_modal_wrapper.fadeOut(200);
			callback_wrap.fadeOut(200);
			consultation_modal.fadeOut(200);
		});
		$(".close_modal").click(function(){
			reg_wrap.fadeOut(200);
			log_wrap.fadeOut(200);
			forgot_pass_wrap.fadeOut(200);
			forgot_pass_success_wrap.fadeOut(200);
			callback_wrap.fadeOut(200);
		});

		reg_wrap_btn.click(function(){
			/*$(".modal_wrapper_reg").find(".modal_window:label").each(function (i) {
			 if (this.find("input").val().length == 0) {
			 this.find("input").addClass("error");
			 alert('fdfdf');
			 } else {
			 this.find("input").removeClass("error");
			 }
			 });*/
			var email_reg = $("#email_reg").val();
			var pass_reg = $("#pass_reg").val();
			var pass_reg_rep = $("#pass_reg_rep").val();
			$(this).parent().parent().find("label").each(function(nf, form)
			{
				if($(this).find("input").val().length == 0){
					$(this).find("input").addClass("error");
					if(pass_reg !== pass_reg_rep){
						$("#pass_reg").addClass("error_pass");
						$("#pass_reg_rep").addClass("error_pass");
					}
					else{
						$("#pass_reg").removeClass("error_pass");
						$("#pass_reg_rep").removeClass("error_pass");
					}
				}
				else{

					function isValidEmailAddress(emailAddress) {
						var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
						return pattern.test(emailAddress);
					}

					if(isValidEmailAddress(email_reg))
					{
						$("#email_reg").removeClass("error");
						$(this).find("input").removeClass("error");
					} else {
						$(this).find("input").removeClass("error");
						$("#email_reg").addClass("error");
					}

					if(pass_reg !== pass_reg_rep){
						$("#pass_reg").addClass("error_pass");
						$("#pass_reg_rep").addClass("error_pass");
					}
					else{
						$("#pass_reg").removeClass("error_pass");
						$("#pass_reg_rep").removeClass("error_pass");
					}

				}
			});
		});
	}
	modal_windows();


	// category open blocks
	function category_open_blocks() {
		var open_block_btn = $('.category_wrap').find('.arrow');
		open_block_btn.click(function(){
			var block = $(this).parent('.cat_li_cont').next();
			block.slideToggle(200);

			if($(this).css('background-position')==='0px 0px') {
				$(this).css('background-position','0px -15px');
			}else{
				$(this).css('background-position','0px 0px');
			};
		});
	}
	category_open_blocks();



    //
	//// VALIDATION FORM JS
	//$.validator.addMethod("equals_code", function(value, element, string) {
	//	return value === string;
	//}, $.validator.format("вы ввели не правильные буквы с картинки"));
	//// registration form
	//$('.reg_form').validate({
	//	rules: {
	//		name: {
	//			required: true
	//		},
	//		email: {
	//			required: true,
	//			email: true
	//		},
	//		password: {
	//			required: true
	//		},
	//		password_repeat: {
	//			required: true,
	//			equalTo: '.reg_input_password'
	//		},
	//		phone: {
	//			required: true,
	//			number: true
	//		},
	//		last_name: {
	//			required: true
	//		},
	//		code: {
	//			required: true,
	//			equals_code: 'ricswoc'
	//		},
	//		login: {
	//			required: true
	//		}
	//	},
	//	messages: {
	//		name: {
	//			required: "введите имя..."
	//		},
	//		email: {
	//			required: "введите электронную почту...",
	//			email: "введите правильный адрес ( example@mail.com )"
	//		},
	//		password: {
	//			required: 'введите пароль...'
	//		},
	//		password_repeat: {
	//			required: 'повторите пароль...',
	//			equalTo: 'пароль не совпадает...'
	//		},
	//		phone: {
	//			required: 'введите телефон...',
	//			number: 'должны быть только цифры...'
	//		},
	//		last_name: {
	//			required: 'введите имя...'
	//		},
	//		code: {
	//			required: 'введите проверочный код...'
	//		},
	//		login: {
	//			required: 'введите ваш логин...'
	//		}
	//	}
	//	// submitHandler: function () {
	//	// 	$('.foo_text').delay( 100 ).show(200);
	//	// }
	//});
	//// login form
	//$('.log_form').validate({
	//	rules: {
	//		password: {
	//			required: true
	//		},
	//		login: {
	//			required: true
	//		}
	//	},
	//	messages: {
	//		password: {
	//			required: 'введите ваш пароль'
	//		},
	//		login: {
	//			required: 'введите ваш логин'
	//		}
	//	}
	//});
	//// forget password form
	//$('.forgot_password_form').validate({
	//	rules: {
	//		email: {
	//			required: true,
	//			email: true
	//		}
	//	},
	//	messages: {
	//		email: {
	//			required: 'введите ваш логин...',
	//			email: 'введите правильный адресс (example@mail.com)'
	//		}
	//	},
	//	submitHandler: function () {
	//		$('.forgot_pass_success_wrapper').fadeIn(200);
	//		$('.forgot_pass_modal_wrapper').fadeOut(200);
	//	}
	//});



	//=============================================== BUSKET MODAL WINDOW FUNCTIONS

	function send_call_me_back( data,callback )
	{
		$.ajax({
			url: '/site/mail',
			data : data,
			type : 'POST',
			dataType: 'json',
			success: function (data)
			{
				if(callback)
					callback(data);
			},
			error: function()
			{
				console.info('error');
			}
		});
	}


});